'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/article/';
  const target = 'service';
  const readMiddleware = app.middleware.read(target);
  router.get(target, `${profix}${target}/:id`, readMiddleware, controller[target].show);
  router.resources(target, `${profix}${target}`, controller[target]); // index、create、show、destroy
  router.post(target, `${profix}${target}/update/:id`, controller[target].update);
};
